<h1>New Post</h1>

<%= form_for @post, url: {action: "create"} do |f| %>

	<% if current_user.nil? %>
		<div>Please Login!</div>
	<% else %>
		<% if @post.errors.any? %>
			<% @post.errors.full_messages.each do |msg| %>
				<div class="alert alert-danger"> <%= msg %> </div>
			<% end %>
		<% end %>

		<%= f.label :context %><br>
		<%= f.text_area :context %><br>
		<%= f.submit "Create" %>

	<% end %>
<% end %>

<%= link_to 'Back', posts_path %>
